<id>
Link to This Topic for YaBB 2.6.12
</id>

<version>
1.5
</version>

<mod info>
Description
-----------
This mod adds a 'Link to This Topic' box below threads in Message View.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload linktopic.gif to the ModImages directory in Binary mode.
4) Upload LinkTopic.lng to Languages/English/Mods in ASCII mode.
5) Go to 'Admin Center - Forum Settings - Show / Hide Items' to enable this feature.

Files to edit
-------------
Admin/ManageTemplates.pm
Admin/ModList.pm
Admin/NewSettings.pm
Admin/Settings_Main.pm
Sources/Display.pm
Templates/default/Display.template

History
-------
1.0 - First Release - 1st September 2009
1.1 - Fixed issue with unwanted '&' symbols appearing with some peoples servers (Thanks to Carsten for pointing out the fix!) - 7th January 2010
1.1a - Fixed YaBB tag displaying in Template Configuration - 8th January 2010
1.2 - Updated for YaBB 2.5 - 13th January 2011
1.3 - Updated for YaBB 2.6 - 25th Juni 2014 by Pyragony 
1.4 - Updated for YaBB 2.6.1 by Dandello, 4th Sept, 2014
1.5 - Updated for YaBB 2.6.11 by Dandello, Dec 31, 2014
1.6 - Updated for YaBB 2.6.12 by Pyragony- 17th Februar 2014 
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
    $display_template =~ s/({|<)yabb pageindex bottom(}|>)/$temppageindex1/gsm;
</search for>

<add after>
    $display_template =~ s/({|<)yabb linktopic(}|>)//gsm; ### Link to This Topic Mod ###
</add after>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $link_topic_mod = q~Link to This Topic|Derek Barnstorm|This mod adds a 'Link to This Topic' box below threads in Message View.|1.5|Dec 31, 2014~;
    push @installed_mods, $link_topic_mod;

</add before>

<edit file>
Admin/NewSettings.pm
</edit file>

<search for>
1;
EOF
</search for>

<add before>
\$show_link_topic = $show_link_topic;       # Set to 1 to display 'Link to This Topic' below threads in message view
</add before>

<edit file>
Admin/Settings_Main.pm
</edit file>

<search for>
LoadLanguage('Register');
</search for>

<add after>
LoadLanguage('Mods/LinkTopic'); ### Link to This Topic Mod ###
</add after>

<search for>
        {
            description => qq~<label for="showallgroups">$amv_txt{'12'}</label>~,
</search for>

<add before>
    ### Link to This Topic Mod Start ###
    {
        description => qq~<label for="show_link_topic">$link_topic_txt{'10'}</label>~,
        input_html => qq~<input type="checkbox" name="show_link_topic" id="show_link_topic" value="1"${ischecked($show_link_topic)} />~,
        name => 'show_link_topic',
        validate => 'boolean',
    },
    ### Link to This Topic Mod End ###
</add before>

<edit file>
Sources/Display.pm
</edit file>

<search for>
    # Mark as read button has no use in global announcements or for guests
</search for>

<add before>
    ### Link to This Topic Mod Start ###
    my $link_topic    = q{};
    my $link_to_perma = q{};
    if (!$movedflag && !${$uid.$currentboard}{'rbin'} && $show_link_topic) {
        LoadLanguage('Mods/LinkTopic');
        if ($accept_permalink == 1) {
            $link_to_perma = $mylink_to_perma;
            $my_permdomain = qq~$perm_domain/$symlink$permdate/$currentboard/$mnum~;
            $link_to_perma =~ s/{yabb permdomain}/$my_permdomain/gsm;
        }
        $link_topic = $mylink_topic;
        $link_topic =~ s/{yabb link_to_perma}/$link_to_perma/sm;
        $link_topic =~ s/{yabb link_topic_txt01}/$link_topic_txt{'01'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt02}/$link_topic_txt{'02'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt03}/$link_topic_txt{'03'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt04}/$link_topic_txt{'04'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt05}/$link_topic_txt{'05'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt06}/$link_topic_txt{'06'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt07}/$link_topic_txt{'07'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt08}/$link_topic_txt{'08'}/gsm;
        $link_topic =~ s/{yabb link_topic_txt09}/$link_topic_txt{'09'}/gsm;
        $link_topic =~ s/{yabb mnum}/$mnum/gsm;
        $link_topic =~ s/{yabb msubthread}/$msubthread/gsm;
    }
    ### Link to This Topic Mod End ###

</add before>

<search for>
    $display_template =~ s/{yabb pageindex bottom}/$pageindex2/gsm;
</search for>

<add after>
    $display_template =~ s/{yabb linktopic}/$link_topic/gsm; ### Link to This Topic Mod ###
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
<!-- Threads Admin Button Bar start -->
</search for>

<add before>
<!-- Link to this Topic start -->

{yabb linktopic}

<!-- Link to this Topic end -->

</add before>

<search for>
1;
</search for>

<add before>
### Link to This Topic Mod ###
$mylink_to_perma = qq~<tr>
        <td class="windowbg2"><label for="link_perma"><span class="small" style="font-weight: bold; cursor: pointer;">{yabb link_topic_txt05}:</span></label></td>
        <td class="windowbg2"><input type="text" id="link_perma" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="http://{yabb permdomain}" title="{yabb link_topic_txt09}" readonly="readonly" /></td>
      </tr>~;

$mylink_topic = qq~
<div class="displaycontainer">
<table class="tabtitle pad_4px">
    <tr>
        <th colspan="2" style="padding-left:1px"><img src="$modimgurl/linktopic.gif" alt="" /> {yabb link_topic_txt01}</th>
    </tr>
</table>
<table class="pad_4px">
    <tr>
        <td class="windowbg2"><label for="link_html"><span class="small" style="font-weight: bold; cursor: pointer; white-space: nowrap;">{yabb link_topic_txt02}:</span></label></td>
        <td class="windowbg2"><input type="text" id="link_html" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="&lt;a href=&quot;$scripturl?num={yabb mnum}&quot; target=&quot;_blank&quot;&gt;{yabb msubthread}&lt;/a&gt;" title="{yabb link_topic_txt06}" readonly="readonly" /></td>
    </tr><tr>
        <td class="windowbg2"><label for="link_bbcode"><span class="small" style="font-weight: bold; cursor: pointer;">{yabb link_topic_txt03}:</span></label></td>
        <td class="windowbg2"><input type="text" id="link_bbcode" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="&#91;url=$scripturl?num={yabb mnum}&#93;{yabb msubthread}&#91;/url&#93;" title="{yabb link_topic_txt07}" readonly="readonly" /></td>
    </tr><tr>
        <td class="windowbg2"><label for="link_url"><span class="small" style="font-weight: bold; cursor: pointer;">{yabb link_topic_txt04}:</span></label></td>
        <td class="windowbg2"><input type="text" id="link_url" class="small" style="width: 98%; cursor: pointer;" onclick="this.select();" value="$scripturl?num={yabb mnum}" title="{yabb link_topic_txt08}" readonly="readonly" /></td>
    </tr>
{yabb link_to_perma}
</table>
</div>
~;

</add before>